Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network43.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
43.0.0.0
Broadcast address
43.255.255.255
First usable
43.0.0.1
Last usable
43.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 2B000000 · Integer 721420288 to 738197503
Reverse DNS zone
43.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101011..00000000.00000000.0000000043.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network00101011..00000000.00000000.0000000043.0.0.0
Broadcast00101011..11111111.11111111.1111111143.255.255.255
Split into smaller subnets/18

43.0.0.0/8 makes 1,024 subnets of /18; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
143.0.0.0/1843.0.0.1 to 43.0.63.25443.0.63.25516,382
243.0.64.0/1843.0.64.1 to 43.0.127.25443.0.127.25516,382
343.0.128.0/1843.0.128.1 to 43.0.191.25443.0.191.25516,382
443.0.192.0/1843.0.192.1 to 43.0.255.25443.0.255.25516,382
543.1.0.0/1843.1.0.1 to 43.1.63.25443.1.63.25516,382
643.1.64.0/1843.1.64.1 to 43.1.127.25443.1.127.25516,382
743.1.128.0/1843.1.128.1 to 43.1.191.25443.1.191.25516,382
843.1.192.0/1843.1.192.1 to 43.1.255.25443.1.255.25516,382
943.2.0.0/1843.2.0.1 to 43.2.63.25443.2.63.25516,382
1043.2.64.0/1843.2.64.1 to 43.2.127.25443.2.127.25516,382
1143.2.128.0/1843.2.128.1 to 43.2.191.25443.2.191.25516,382
1243.2.192.0/1843.2.192.1 to 43.2.255.25443.2.255.25516,382
1343.3.0.0/1843.3.0.1 to 43.3.63.25443.3.63.25516,382
1443.3.64.0/1843.3.64.1 to 43.3.127.25443.3.127.25516,382
1543.3.128.0/1843.3.128.1 to 43.3.191.25443.3.191.25516,382
1643.3.192.0/1843.3.192.1 to 43.3.255.25443.3.255.25516,382
1743.4.0.0/1843.4.0.1 to 43.4.63.25443.4.63.25516,382
1843.4.64.0/1843.4.64.1 to 43.4.127.25443.4.127.25516,382
1943.4.128.0/1843.4.128.1 to 43.4.191.25443.4.191.25516,382
2043.4.192.0/1843.4.192.1 to 43.4.255.25443.4.255.25516,382
2143.5.0.0/1843.5.0.1 to 43.5.63.25443.5.63.25516,382
2243.5.64.0/1843.5.64.1 to 43.5.127.25443.5.127.25516,382
2343.5.128.0/1843.5.128.1 to 43.5.191.25443.5.191.25516,382
2443.5.192.0/1843.5.192.1 to 43.5.255.25443.5.255.25516,382
2543.6.0.0/1843.6.0.1 to 43.6.63.25443.6.63.25516,382
2643.6.64.0/1843.6.64.1 to 43.6.127.25443.6.127.25516,382
2743.6.128.0/1843.6.128.1 to 43.6.191.25443.6.191.25516,382
2843.6.192.0/1843.6.192.1 to 43.6.255.25443.6.255.25516,382
2943.7.0.0/1843.7.0.1 to 43.7.63.25443.7.63.25516,382
3043.7.64.0/1843.7.64.1 to 43.7.127.25443.7.127.25516,382
3143.7.128.0/1843.7.128.1 to 43.7.191.25443.7.191.25516,382
3243.7.192.0/1843.7.192.1 to 43.7.255.25443.7.255.25516,382
3343.8.0.0/1843.8.0.1 to 43.8.63.25443.8.63.25516,382
3443.8.64.0/1843.8.64.1 to 43.8.127.25443.8.127.25516,382
3543.8.128.0/1843.8.128.1 to 43.8.191.25443.8.191.25516,382
3643.8.192.0/1843.8.192.1 to 43.8.255.25443.8.255.25516,382
3743.9.0.0/1843.9.0.1 to 43.9.63.25443.9.63.25516,382
3843.9.64.0/1843.9.64.1 to 43.9.127.25443.9.127.25516,382
3943.9.128.0/1843.9.128.1 to 43.9.191.25443.9.191.25516,382
4043.9.192.0/1843.9.192.1 to 43.9.255.25443.9.255.25516,382
4143.10.0.0/1843.10.0.1 to 43.10.63.25443.10.63.25516,382
4243.10.64.0/1843.10.64.1 to 43.10.127.25443.10.127.25516,382
4343.10.128.0/1843.10.128.1 to 43.10.191.25443.10.191.25516,382
4443.10.192.0/1843.10.192.1 to 43.10.255.25443.10.255.25516,382
4543.11.0.0/1843.11.0.1 to 43.11.63.25443.11.63.25516,382
4643.11.64.0/1843.11.64.1 to 43.11.127.25443.11.127.25516,382
4743.11.128.0/1843.11.128.1 to 43.11.191.25443.11.191.25516,382
4843.11.192.0/1843.11.192.1 to 43.11.255.25443.11.255.25516,382
4943.12.0.0/1843.12.0.1 to 43.12.63.25443.12.63.25516,382
5043.12.64.0/1843.12.64.1 to 43.12.127.25443.12.127.25516,382
5143.12.128.0/1843.12.128.1 to 43.12.191.25443.12.191.25516,382
5243.12.192.0/1843.12.192.1 to 43.12.255.25443.12.255.25516,382
5343.13.0.0/1843.13.0.1 to 43.13.63.25443.13.63.25516,382
5443.13.64.0/1843.13.64.1 to 43.13.127.25443.13.127.25516,382
5543.13.128.0/1843.13.128.1 to 43.13.191.25443.13.191.25516,382
5643.13.192.0/1843.13.192.1 to 43.13.255.25443.13.255.25516,382
5743.14.0.0/1843.14.0.1 to 43.14.63.25443.14.63.25516,382
5843.14.64.0/1843.14.64.1 to 43.14.127.25443.14.127.25516,382
5943.14.128.0/1843.14.128.1 to 43.14.191.25443.14.191.25516,382
6043.14.192.0/1843.14.192.1 to 43.14.255.25443.14.255.25516,382
6143.15.0.0/1843.15.0.1 to 43.15.63.25443.15.63.25516,382
6243.15.64.0/1843.15.64.1 to 43.15.127.25443.15.127.25516,382
6343.15.128.0/1843.15.128.1 to 43.15.191.25443.15.191.25516,382
6443.15.192.0/1843.15.192.1 to 43.15.255.25443.15.255.25516,382
6543.16.0.0/1843.16.0.1 to 43.16.63.25443.16.63.25516,382
6643.16.64.0/1843.16.64.1 to 43.16.127.25443.16.127.25516,382
6743.16.128.0/1843.16.128.1 to 43.16.191.25443.16.191.25516,382
6843.16.192.0/1843.16.192.1 to 43.16.255.25443.16.255.25516,382
6943.17.0.0/1843.17.0.1 to 43.17.63.25443.17.63.25516,382
7043.17.64.0/1843.17.64.1 to 43.17.127.25443.17.127.25516,382
7143.17.128.0/1843.17.128.1 to 43.17.191.25443.17.191.25516,382
7243.17.192.0/1843.17.192.1 to 43.17.255.25443.17.255.25516,382
7343.18.0.0/1843.18.0.1 to 43.18.63.25443.18.63.25516,382
7443.18.64.0/1843.18.64.1 to 43.18.127.25443.18.127.25516,382
7543.18.128.0/1843.18.128.1 to 43.18.191.25443.18.191.25516,382
7643.18.192.0/1843.18.192.1 to 43.18.255.25443.18.255.25516,382
7743.19.0.0/1843.19.0.1 to 43.19.63.25443.19.63.25516,382
7843.19.64.0/1843.19.64.1 to 43.19.127.25443.19.127.25516,382
7943.19.128.0/1843.19.128.1 to 43.19.191.25443.19.191.25516,382
8043.19.192.0/1843.19.192.1 to 43.19.255.25443.19.255.25516,382
8143.20.0.0/1843.20.0.1 to 43.20.63.25443.20.63.25516,382
8243.20.64.0/1843.20.64.1 to 43.20.127.25443.20.127.25516,382
8343.20.128.0/1843.20.128.1 to 43.20.191.25443.20.191.25516,382
8443.20.192.0/1843.20.192.1 to 43.20.255.25443.20.255.25516,382
8543.21.0.0/1843.21.0.1 to 43.21.63.25443.21.63.25516,382
8643.21.64.0/1843.21.64.1 to 43.21.127.25443.21.127.25516,382
8743.21.128.0/1843.21.128.1 to 43.21.191.25443.21.191.25516,382
8843.21.192.0/1843.21.192.1 to 43.21.255.25443.21.255.25516,382
8943.22.0.0/1843.22.0.1 to 43.22.63.25443.22.63.25516,382
9043.22.64.0/1843.22.64.1 to 43.22.127.25443.22.127.25516,382
9143.22.128.0/1843.22.128.1 to 43.22.191.25443.22.191.25516,382
9243.22.192.0/1843.22.192.1 to 43.22.255.25443.22.255.25516,382
9343.23.0.0/1843.23.0.1 to 43.23.63.25443.23.63.25516,382
9443.23.64.0/1843.23.64.1 to 43.23.127.25443.23.127.25516,382
9543.23.128.0/1843.23.128.1 to 43.23.191.25443.23.191.25516,382
9643.23.192.0/1843.23.192.1 to 43.23.255.25443.23.255.25516,382
9743.24.0.0/1843.24.0.1 to 43.24.63.25443.24.63.25516,382
9843.24.64.0/1843.24.64.1 to 43.24.127.25443.24.127.25516,382
9943.24.128.0/1843.24.128.1 to 43.24.191.25443.24.191.25516,382
10043.24.192.0/1843.24.192.1 to 43.24.255.25443.24.255.25516,382
10143.25.0.0/1843.25.0.1 to 43.25.63.25443.25.63.25516,382
10243.25.64.0/1843.25.64.1 to 43.25.127.25443.25.127.25516,382
10343.25.128.0/1843.25.128.1 to 43.25.191.25443.25.191.25516,382
10443.25.192.0/1843.25.192.1 to 43.25.255.25443.25.255.25516,382
10543.26.0.0/1843.26.0.1 to 43.26.63.25443.26.63.25516,382
10643.26.64.0/1843.26.64.1 to 43.26.127.25443.26.127.25516,382
10743.26.128.0/1843.26.128.1 to 43.26.191.25443.26.191.25516,382
10843.26.192.0/1843.26.192.1 to 43.26.255.25443.26.255.25516,382
10943.27.0.0/1843.27.0.1 to 43.27.63.25443.27.63.25516,382
11043.27.64.0/1843.27.64.1 to 43.27.127.25443.27.127.25516,382
11143.27.128.0/1843.27.128.1 to 43.27.191.25443.27.191.25516,382
11243.27.192.0/1843.27.192.1 to 43.27.255.25443.27.255.25516,382
11343.28.0.0/1843.28.0.1 to 43.28.63.25443.28.63.25516,382
11443.28.64.0/1843.28.64.1 to 43.28.127.25443.28.127.25516,382
11543.28.128.0/1843.28.128.1 to 43.28.191.25443.28.191.25516,382
11643.28.192.0/1843.28.192.1 to 43.28.255.25443.28.255.25516,382
11743.29.0.0/1843.29.0.1 to 43.29.63.25443.29.63.25516,382
11843.29.64.0/1843.29.64.1 to 43.29.127.25443.29.127.25516,382
11943.29.128.0/1843.29.128.1 to 43.29.191.25443.29.191.25516,382
12043.29.192.0/1843.29.192.1 to 43.29.255.25443.29.255.25516,382
12143.30.0.0/1843.30.0.1 to 43.30.63.25443.30.63.25516,382
12243.30.64.0/1843.30.64.1 to 43.30.127.25443.30.127.25516,382
12343.30.128.0/1843.30.128.1 to 43.30.191.25443.30.191.25516,382
12443.30.192.0/1843.30.192.1 to 43.30.255.25443.30.255.25516,382
12543.31.0.0/1843.31.0.1 to 43.31.63.25443.31.63.25516,382
12643.31.64.0/1843.31.64.1 to 43.31.127.25443.31.127.25516,382
12743.31.128.0/1843.31.128.1 to 43.31.191.25443.31.191.25516,382
12843.31.192.0/1843.31.192.1 to 43.31.255.25443.31.255.25516,382
12943.32.0.0/1843.32.0.1 to 43.32.63.25443.32.63.25516,382
13043.32.64.0/1843.32.64.1 to 43.32.127.25443.32.127.25516,382
13143.32.128.0/1843.32.128.1 to 43.32.191.25443.32.191.25516,382
13243.32.192.0/1843.32.192.1 to 43.32.255.25443.32.255.25516,382
13343.33.0.0/1843.33.0.1 to 43.33.63.25443.33.63.25516,382
13443.33.64.0/1843.33.64.1 to 43.33.127.25443.33.127.25516,382
13543.33.128.0/1843.33.128.1 to 43.33.191.25443.33.191.25516,382
13643.33.192.0/1843.33.192.1 to 43.33.255.25443.33.255.25516,382
13743.34.0.0/1843.34.0.1 to 43.34.63.25443.34.63.25516,382
13843.34.64.0/1843.34.64.1 to 43.34.127.25443.34.127.25516,382
13943.34.128.0/1843.34.128.1 to 43.34.191.25443.34.191.25516,382
14043.34.192.0/1843.34.192.1 to 43.34.255.25443.34.255.25516,382
14143.35.0.0/1843.35.0.1 to 43.35.63.25443.35.63.25516,382
14243.35.64.0/1843.35.64.1 to 43.35.127.25443.35.127.25516,382
14343.35.128.0/1843.35.128.1 to 43.35.191.25443.35.191.25516,382
14443.35.192.0/1843.35.192.1 to 43.35.255.25443.35.255.25516,382
14543.36.0.0/1843.36.0.1 to 43.36.63.25443.36.63.25516,382
14643.36.64.0/1843.36.64.1 to 43.36.127.25443.36.127.25516,382
14743.36.128.0/1843.36.128.1 to 43.36.191.25443.36.191.25516,382
14843.36.192.0/1843.36.192.1 to 43.36.255.25443.36.255.25516,382
14943.37.0.0/1843.37.0.1 to 43.37.63.25443.37.63.25516,382
15043.37.64.0/1843.37.64.1 to 43.37.127.25443.37.127.25516,382
15143.37.128.0/1843.37.128.1 to 43.37.191.25443.37.191.25516,382
15243.37.192.0/1843.37.192.1 to 43.37.255.25443.37.255.25516,382
15343.38.0.0/1843.38.0.1 to 43.38.63.25443.38.63.25516,382
15443.38.64.0/1843.38.64.1 to 43.38.127.25443.38.127.25516,382
15543.38.128.0/1843.38.128.1 to 43.38.191.25443.38.191.25516,382
15643.38.192.0/1843.38.192.1 to 43.38.255.25443.38.255.25516,382
15743.39.0.0/1843.39.0.1 to 43.39.63.25443.39.63.25516,382
15843.39.64.0/1843.39.64.1 to 43.39.127.25443.39.127.25516,382
15943.39.128.0/1843.39.128.1 to 43.39.191.25443.39.191.25516,382
16043.39.192.0/1843.39.192.1 to 43.39.255.25443.39.255.25516,382
16143.40.0.0/1843.40.0.1 to 43.40.63.25443.40.63.25516,382
16243.40.64.0/1843.40.64.1 to 43.40.127.25443.40.127.25516,382
16343.40.128.0/1843.40.128.1 to 43.40.191.25443.40.191.25516,382
16443.40.192.0/1843.40.192.1 to 43.40.255.25443.40.255.25516,382
16543.41.0.0/1843.41.0.1 to 43.41.63.25443.41.63.25516,382
16643.41.64.0/1843.41.64.1 to 43.41.127.25443.41.127.25516,382
16743.41.128.0/1843.41.128.1 to 43.41.191.25443.41.191.25516,382
16843.41.192.0/1843.41.192.1 to 43.41.255.25443.41.255.25516,382
16943.42.0.0/1843.42.0.1 to 43.42.63.25443.42.63.25516,382
17043.42.64.0/1843.42.64.1 to 43.42.127.25443.42.127.25516,382
17143.42.128.0/1843.42.128.1 to 43.42.191.25443.42.191.25516,382
17243.42.192.0/1843.42.192.1 to 43.42.255.25443.42.255.25516,382
17343.43.0.0/1843.43.0.1 to 43.43.63.25443.43.63.25516,382
17443.43.64.0/1843.43.64.1 to 43.43.127.25443.43.127.25516,382
17543.43.128.0/1843.43.128.1 to 43.43.191.25443.43.191.25516,382
17643.43.192.0/1843.43.192.1 to 43.43.255.25443.43.255.25516,382
17743.44.0.0/1843.44.0.1 to 43.44.63.25443.44.63.25516,382
17843.44.64.0/1843.44.64.1 to 43.44.127.25443.44.127.25516,382
17943.44.128.0/1843.44.128.1 to 43.44.191.25443.44.191.25516,382
18043.44.192.0/1843.44.192.1 to 43.44.255.25443.44.255.25516,382
18143.45.0.0/1843.45.0.1 to 43.45.63.25443.45.63.25516,382
18243.45.64.0/1843.45.64.1 to 43.45.127.25443.45.127.25516,382
18343.45.128.0/1843.45.128.1 to 43.45.191.25443.45.191.25516,382
18443.45.192.0/1843.45.192.1 to 43.45.255.25443.45.255.25516,382
18543.46.0.0/1843.46.0.1 to 43.46.63.25443.46.63.25516,382
18643.46.64.0/1843.46.64.1 to 43.46.127.25443.46.127.25516,382
18743.46.128.0/1843.46.128.1 to 43.46.191.25443.46.191.25516,382
18843.46.192.0/1843.46.192.1 to 43.46.255.25443.46.255.25516,382
18943.47.0.0/1843.47.0.1 to 43.47.63.25443.47.63.25516,382
19043.47.64.0/1843.47.64.1 to 43.47.127.25443.47.127.25516,382
19143.47.128.0/1843.47.128.1 to 43.47.191.25443.47.191.25516,382
19243.47.192.0/1843.47.192.1 to 43.47.255.25443.47.255.25516,382
19343.48.0.0/1843.48.0.1 to 43.48.63.25443.48.63.25516,382
19443.48.64.0/1843.48.64.1 to 43.48.127.25443.48.127.25516,382
19543.48.128.0/1843.48.128.1 to 43.48.191.25443.48.191.25516,382
19643.48.192.0/1843.48.192.1 to 43.48.255.25443.48.255.25516,382
19743.49.0.0/1843.49.0.1 to 43.49.63.25443.49.63.25516,382
19843.49.64.0/1843.49.64.1 to 43.49.127.25443.49.127.25516,382
19943.49.128.0/1843.49.128.1 to 43.49.191.25443.49.191.25516,382
20043.49.192.0/1843.49.192.1 to 43.49.255.25443.49.255.25516,382
20143.50.0.0/1843.50.0.1 to 43.50.63.25443.50.63.25516,382
20243.50.64.0/1843.50.64.1 to 43.50.127.25443.50.127.25516,382
20343.50.128.0/1843.50.128.1 to 43.50.191.25443.50.191.25516,382
20443.50.192.0/1843.50.192.1 to 43.50.255.25443.50.255.25516,382
20543.51.0.0/1843.51.0.1 to 43.51.63.25443.51.63.25516,382
20643.51.64.0/1843.51.64.1 to 43.51.127.25443.51.127.25516,382
20743.51.128.0/1843.51.128.1 to 43.51.191.25443.51.191.25516,382
20843.51.192.0/1843.51.192.1 to 43.51.255.25443.51.255.25516,382
20943.52.0.0/1843.52.0.1 to 43.52.63.25443.52.63.25516,382
21043.52.64.0/1843.52.64.1 to 43.52.127.25443.52.127.25516,382
21143.52.128.0/1843.52.128.1 to 43.52.191.25443.52.191.25516,382
21243.52.192.0/1843.52.192.1 to 43.52.255.25443.52.255.25516,382
21343.53.0.0/1843.53.0.1 to 43.53.63.25443.53.63.25516,382
21443.53.64.0/1843.53.64.1 to 43.53.127.25443.53.127.25516,382
21543.53.128.0/1843.53.128.1 to 43.53.191.25443.53.191.25516,382
21643.53.192.0/1843.53.192.1 to 43.53.255.25443.53.255.25516,382
21743.54.0.0/1843.54.0.1 to 43.54.63.25443.54.63.25516,382
21843.54.64.0/1843.54.64.1 to 43.54.127.25443.54.127.25516,382
21943.54.128.0/1843.54.128.1 to 43.54.191.25443.54.191.25516,382
22043.54.192.0/1843.54.192.1 to 43.54.255.25443.54.255.25516,382
22143.55.0.0/1843.55.0.1 to 43.55.63.25443.55.63.25516,382
22243.55.64.0/1843.55.64.1 to 43.55.127.25443.55.127.25516,382
22343.55.128.0/1843.55.128.1 to 43.55.191.25443.55.191.25516,382
22443.55.192.0/1843.55.192.1 to 43.55.255.25443.55.255.25516,382
22543.56.0.0/1843.56.0.1 to 43.56.63.25443.56.63.25516,382
22643.56.64.0/1843.56.64.1 to 43.56.127.25443.56.127.25516,382
22743.56.128.0/1843.56.128.1 to 43.56.191.25443.56.191.25516,382
22843.56.192.0/1843.56.192.1 to 43.56.255.25443.56.255.25516,382
22943.57.0.0/1843.57.0.1 to 43.57.63.25443.57.63.25516,382
23043.57.64.0/1843.57.64.1 to 43.57.127.25443.57.127.25516,382
23143.57.128.0/1843.57.128.1 to 43.57.191.25443.57.191.25516,382
23243.57.192.0/1843.57.192.1 to 43.57.255.25443.57.255.25516,382
23343.58.0.0/1843.58.0.1 to 43.58.63.25443.58.63.25516,382
23443.58.64.0/1843.58.64.1 to 43.58.127.25443.58.127.25516,382
23543.58.128.0/1843.58.128.1 to 43.58.191.25443.58.191.25516,382
23643.58.192.0/1843.58.192.1 to 43.58.255.25443.58.255.25516,382
23743.59.0.0/1843.59.0.1 to 43.59.63.25443.59.63.25516,382
23843.59.64.0/1843.59.64.1 to 43.59.127.25443.59.127.25516,382
23943.59.128.0/1843.59.128.1 to 43.59.191.25443.59.191.25516,382
24043.59.192.0/1843.59.192.1 to 43.59.255.25443.59.255.25516,382
24143.60.0.0/1843.60.0.1 to 43.60.63.25443.60.63.25516,382
24243.60.64.0/1843.60.64.1 to 43.60.127.25443.60.127.25516,382
24343.60.128.0/1843.60.128.1 to 43.60.191.25443.60.191.25516,382
24443.60.192.0/1843.60.192.1 to 43.60.255.25443.60.255.25516,382
24543.61.0.0/1843.61.0.1 to 43.61.63.25443.61.63.25516,382
24643.61.64.0/1843.61.64.1 to 43.61.127.25443.61.127.25516,382
24743.61.128.0/1843.61.128.1 to 43.61.191.25443.61.191.25516,382
24843.61.192.0/1843.61.192.1 to 43.61.255.25443.61.255.25516,382
24943.62.0.0/1843.62.0.1 to 43.62.63.25443.62.63.25516,382
25043.62.64.0/1843.62.64.1 to 43.62.127.25443.62.127.25516,382
25143.62.128.0/1843.62.128.1 to 43.62.191.25443.62.191.25516,382
25243.62.192.0/1843.62.192.1 to 43.62.255.25443.62.255.25516,382
25343.63.0.0/1843.63.0.1 to 43.63.63.25443.63.63.25516,382
25443.63.64.0/1843.63.64.1 to 43.63.127.25443.63.127.25516,382
25543.63.128.0/1843.63.128.1 to 43.63.191.25443.63.191.25516,382
25643.63.192.0/1843.63.192.1 to 43.63.255.25443.63.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses